Index: c/src/librdbg/Makefile.am
===================================================================
--- c/src/librdbg/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
+++ c/src/librdbg/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
@@ -0,0 +1,11 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = include src
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librdbg/configure.in
===================================================================
--- c/src/librdbg/configure.in	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
+++ c/src/librdbg/configure.in	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
@@ -0,0 +1,65 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
+AC_PREREQ(2.13)
+AC_INIT(src/awk.svc)
+RTEMS_TOP(../../..)
+AC_CONFIG_AUX_DIR(../../..)
+
+RTEMS_CANONICAL_TARGET_CPU
+
+AM_INIT_AUTOMAKE(rtems-c-src-librdbg,$RTEMS_VERSION,no)
+AM_MAINTAINER_MODE
+
+RTEMS_ENABLE_NETWORKING
+RTEMS_ENABLE_RDBG
+RTEMS_ENABLE_LIBCDIR
+RTEMS_ENABLE_BARE
+
+RTEMS_ENV_RTEMSBSP
+
+RTEMS_CHECK_CPU
+RTEMS_CANONICAL_HOST
+
+RTEMS_PROJECT_ROOT
+
+dnl check target cc
+RTEMS_PROG_CC_FOR_TARGET
+RTEMS_CANONICALIZE_TOOLS
+
+AC_CHECK_PROG(RPCGEN,rpcgen,rpcgen)
+AC_PROG_AWK
+
+if test "$RPCGEN" = "no"; then
+  AC_MSG_ERROR([missing rpcgen, required to build librdbg])
+fi
+if test "$AWK" = "no"; then
+  AC_MSG_ERROR([missing awk, required to build librdbg])
+fi
+
+RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
+RTEMS_BSP_ALIAS(${RTEMS_BSP},bspdir)
+RTEMS_CHECK_NETWORKING(RTEMS_BSP)
+RTEMS_CHECK_RDBG(bspdir)
+
+AM_CONDITIONAL(HAS_RDBG,test "$HAS_RDBG" = "yes")
+
+PROJECT_INCLUDE="\$(PROJECT_ROOT)/$RTEMS_BSP/lib/include"
+AC_SUBST(PROJECT_INCLUDE)
+
+RTEMS_PROJECT_ROOT
+
+# Try to explicitly list a Makefile here 
+AC_OUTPUT( 
+Makefile
+include/Makefile
+include/rdbg/Makefile
+include/rdbg/i386/Makefile
+include/rdbg/powerpc/Makefile
+src/Makefile
+src/i386/Makefile
+src/i386/pc386/Makefile
+src/powerpc/Makefile
+src/powerpc/mcp750/Makefile
+)
Index: c/src/librdbg/include/Makefile.am
===================================================================
--- c/src/librdbg/include/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
+++ c/src/librdbg/include/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
@@ -0,0 +1,11 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = rdbg
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librdbg/src/Makefile.am
===================================================================
--- c/src/librdbg/src/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
+++ c/src/librdbg/src/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
@@ -0,0 +1,25 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = $(RTEMS_CPU)
+
+EXTRA_DIST = \
+_servtgt.c \
+awk.svc \
+excep.c \
+ptrace.c \
+rdbg.c \
+remdeb.x \
+servbkpt.c \
+servcon.c \
+servrpc.c \
+servtgt.c \
+servtsp.c \
+servutil.c
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librdbg/src/i386/Makefile.am
===================================================================
--- c/src/librdbg/src/i386/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
+++ c/src/librdbg/src/i386/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
@@ -0,0 +1,15 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = pc386
+
+EXTRA_DIST = \
+excep_f.c rdbg_cpu_asm.S \
+excep.c rdbg_f.c
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/librdbg/src/powerpc/Makefile.am
===================================================================
--- c/src/librdbg/src/powerpc/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
+++ c/src/librdbg/src/powerpc/Makefile.am	(revision 87fad5c200fafbf64b8a4a469581878aaa0b6af1)
@@ -0,0 +1,14 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = mcp750
+
+EXTRA_DIST = \
+excep_f.c rdbg_cpu_asm.S rdbg_f.c
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
